Get brand
This method returns details about an account brand.
Note: Branding for either signing or sending must be enabled for the account (canSelfBrandSend , canSelfBrandSign, or both of these account settings must be true).
Authentication
OAuth 2.0 access token (JWT or auth-code grant). Sent as
Authorization: Bearer <token> on every request except
GET /v2.1 and GET /service_information, which are
public discovery endpoints.
Path parameters
The external account number (int) or account ID Guid.
Query parameters
When true, the landing pages and links associated with the brand are included in the response.
When true, the URIs for the logos associated with the brand are included in the response.
Response
An array of two-letter codes for the languages that you want to use with the brand. The supported languages are:
- Arabic (
ar) - Armenian (
hy) - Bahasa Indonesia (
id) - Bahasa Malay (
ms) - Bulgarian (
bg) - Chinese Simplified (
zh_CN) - Chinese Traditional (
zh_TW) - Croatian (
hr) - Czech (
cs) - Danish (
da) - Dutch (
nl) - English UK (
en_GB) - English US (
en) - Estonian (
et) - Farsi (
fa) - Finnish (
fi) - French (
fr) - French Canada (
fr_CA) - German (
de) - Greek (
el) - Hebrew (
he) - Hindi (
hi) - Hungarian (
hu) - Italian (
it) - Japanese (
ja) - Korean (
ko) - Latvian (
lv) - Lithuanian (
lt) - Norwegian (
no) - Polish (
pl) - Portuguese (
pt) - Portuguese Brasil (
pt_BR) - Romanian (
ro) - Russian (
ru) - Serbian (
sr) - Slovak (
sk) - Slovenian (
sl) - Spanish (
es) - Spanish Latin America (
es_MX) - Swedish (
sv) - Thai (
th) - Turkish (
tr) - Ukranian (
uk) - Vietnamese (
vi)
An array of name-value pairs specifying the colors that the brand uses for the following elements:
- Button background
- Button text
- Header background
- Header text
The two-letter code for the language that you want to use as the brand default. The supported languages are:
- Arabic (
ar) - Armenian (
hy) - Bahasa Indonesia (
id) - Bahasa Malay (
ms) - Bulgarian (
bg) - Chinese Simplified (
zh_CN) - Chinese Traditional (
zh_TW) - Croatian (
hr) - Czech (
cs) - Danish (
da) - Dutch (
nl) - English UK (
en_GB) - English US (
en) - Estonian (
et) - Farsi (
fa) - Finnish (
fi) - French (
fr) - French Canada (
fr_CA) - German (
de) - Greek (
el) - Hebrew (
he) - Hindi (
hi) - Hungarian (
hu) - Italian (
it) - Japanese (
ja) - Korean (
ko) - Latvian (
lv) - Lithuanian (
lt) - Norwegian (
no) - Polish (
pl) - Portuguese (
pt) - Portuguese Brasil (
pt_BR) - Romanian (
ro) - Russian (
ru) - Serbian (
sr) - Slovak (
sk) - Slovenian (
sl) - Spanish (
es) - Spanish Latin America (
es_MX) - Swedish (
sv) - Thai (
th) - Turkish (
tr) - Ukranian (
uk) - Vietnamese (
vi)
When true, the brandCompany property is overriding the name of the company in the account settings.
When true, the sending brand is the default brand for sending new envelopes.
When true, the siging brand is the default brand for the signing experience.
An array of name/value pairs specifying the pages to which the user is redirected after the following events occur:
- Signing Completed
- Viewed Exit
- Finish Later
- Decline
- Session Timeout
- Authentication Failure
If you do not specify landing pages, the Docusign default pages are used.
An array of brandLink objects that contain information about the links that the brand uses.
The URIs for retrieving the logos that are associated with the brand.
These are read-only properties that provide a URI to logos in use. To update a logo use AccountBrands: updateLogo.
Brands use resource files to style the following experiences:
- Sending
- Signing
- Captive (embedded) signing
You can modify these resource files to customize these experiences.